gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-deployment] branch master updated (369bf4e -> b01aa55)


From: gnunet
Subject: [taler-deployment] branch master updated (369bf4e -> b01aa55)
Date: Sun, 01 Dec 2019 20:36:34 +0100

This is an automated email from the git hooks/post-receive script.

grothoff pushed a change to branch master
in repository deployment.

    from 369bf4e  ui
     new f346978  generate configuration for sync
     new 566ac85  deploy sync
     new b01aa55  ignore failure of taler-auditor-exchange:

The 3 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails.  The revisions
listed as "add" were already present in the repository and have only
been added to this reference.


Summary of changes:
 buildbot/make_auditor_reports.sh |  4 ++--
 config/generate-config           | 10 +++++++---
 taler-arm/taler-sync.conf        |  4 ++++
 3 files changed, 13 insertions(+), 5 deletions(-)
 create mode 100644 taler-arm/taler-sync.conf

diff --git a/buildbot/make_auditor_reports.sh b/buildbot/make_auditor_reports.sh
index 55954b0..e7a27dc 100755
--- a/buildbot/make_auditor_reports.sh
+++ b/buildbot/make_auditor_reports.sh
@@ -15,7 +15,7 @@ JINJA_TEMPLATE="auditor-report.tex.j2"
 REPORTS_DIRECTORY=$(taler-config -s auditor -o reports -f)
 
 clean_files () {
-  # Remove garbage and set permissions. 
+  # Remove garbage and set permissions.
   echo Removing "${REPORT_FILE_NOEXT}.aux"
   rm -f "${REPORT_FILE_NOEXT}.aux"
   echo Removing "${REPORT_FILE_NOEXT}.tex"
@@ -35,7 +35,7 @@ fi
 taler-auditor-exchange \
   -c ${HOME}/.config/taler.conf \
   -m $(taler-config -s exchange -o master_public_key) \
-  -u $(taler-config -s exchange -o base_url)
+  -u $(taler-config -s exchange -o base_url) || true
 
 # Generate first report.
 if ! taler-auditor > "${REPORT_FILE_NOEXT}.txt"; then
diff --git a/config/generate-config b/config/generate-config
index 4230bbe..f52ab39 100755
--- a/config/generate-config
+++ b/config/generate-config
@@ -15,7 +15,7 @@ class ConfigFile:
         self.currency = currency
         self.twisted = twisted
         self.exchange_pub = exchange_pub
-    
+
     def destroy(self):
         del self.sections
         self.sections = OrderedDict()
@@ -25,7 +25,7 @@ class ConfigFile:
         s[key] = value
 
     def cfg_write(self, outdir):
-        
+
         if outdir:
             fstream = open(os.path.join(outdir, self.filename), "w")
         else:
@@ -115,7 +115,7 @@ def config(obj):
     obj.cfg_put("blog", "instance", "FSF")
 
     obj.cfg_put("backoffice-all", "backend", 
"https://backend.{}.taler.net/".format(obj.envname))
-    
+
     # Keep only one back-office service for all instances, for simplicity.
     obj.cfg_put("backoffice-all", "uwsgi_serve", "unix")
     obj.cfg_put("backoffice-all", "uwsgi_unixpath_mode", "660")
@@ -286,6 +286,10 @@ def main(currency, envname, outdir, exchange_pub, twisted):
     config(mc)
     config_files.append(mc)
 
+    sc = ConfigFile(envname, currency, exchange_pub, twisted, "sync.conf")
+    sc.cfg_put("sync", "annual_fee", sc.currency+":0.1")
+    config_files.append(sc)
+
     if "demo" != envname and twisted:
 
         # Twisting the exchange.
diff --git a/taler-arm/taler-sync.conf b/taler-arm/taler-sync.conf
new file mode 100644
index 0000000..0ea8d7e
--- /dev/null
+++ b/taler-arm/taler-sync.conf
@@ -0,0 +1,4 @@
+[taler-sync]
+TYPE = simple
+BINARY = sync-httpd
+OPTIONS = -l $HOME/logs/sync-%Y-%m-%d.log

-- 
To stop receiving notification emails like this one, please contact
address@hidden.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]